%define name zsnes
%define version 1.36
%define release 3mdk
%define fversion 136

Summary: Nintendo Super NES / Super Famicom Emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}%{fversion}src.tar.bz2
Source1: %{name}-icons.tar.bz2
License: GPL
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://zsnes.sourceforge.net
BuildRequires: nasm
BuildRequires: libpng-devel
BuildRequires: libSDL-devel >= 1.2 
Exclusivearch: %{ix86}
Epoch: 1

%description
This is an emulator for Nintendo's 16 bit console, called Super Nintendo 
Entertainment System or Super Famicom. It features a pretty accurate emulation
of that system's graphic and sound capabilities.
The GUI enables the user to select games, change options, enable cheat codes 
and to save the game state, even network play is possible.


%prep
rm -rf %buildroot

%setup -q -n %name-%version

%build
cd src
%configure --x-includes=/usr/X11R6/include 
make

%install
mkdir -p %buildroot%{_bindir}
install -c -m 0755 src/zsnes %buildroot%{_bindir}

mkdir -p %buildroot%{_mandir}/man1/
install -c -m 0644 src/linux/zsnes.1 %buildroot%{_mandir}/man1

mkdir -p %buildroot/%{_menudir}
cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Applications/Emulators"\
title="Zsnes"\
longtitle="Super NES / Super Famicom Emulator"\
command="zsnes"\
icon="%{name}.png"
EOF

# install icons
install -m 755 -d %buildroot{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
tar xOjf %SOURCE1 %{name}-16x16.png > %buildroot%{_miconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-32x32.png > %buildroot%{_iconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-48x48.png > %buildroot%{_liconsdir}/%{name}.png


%clean
rm -rf %buildroot


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root)
%doc authors.txt install.txt license.txt opengl.txt readme.txt srcinfo.txt
%doc todo.txt whatsnew.txt
%{_bindir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man1/%name.1*


%changelog
* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.36-3mdk
- build fix

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36-2mdk
- add an epoch, there where problems upgrading from 1.337

* Tue Jul 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36-1mdk
- new version

* Mon Jun 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.35-1mdk
- 1.35
- build with new nasm
- fix man page install

* Tue May  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.337-5mdk
- build with old nasm
- remove obsolete  BuildRequires
- rebuild with new alsa

* Wed Jan 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.337-4mdk
- requires libpng-devel, zlib-devel
- move configure to %%build
- png icons
- remove zero-length files
- conflicts with older nasm

* Thu Oct 11 2001 Etienne Faure <etienne@mandrakesoft.com> 1.337-3mdk
- Requires libpng2 ->libpng3

* Wed Oct 03 2001 HA Quc-Vit <viet@mandrakesoft.com> 1.337-2mdk
- transparent icon to make rpmlint happy, full credits to Gtz Waschk :o)

* Tue Oct 02 2001 HA Quc-Vit <viet@mandrakesoft.com> 1.337-1mdk
- new source revision.
- some cosmetic spec modifications.
- uses %%configure, %%make, and installs the manpage in man6

* Fri Sep 07 2001 Etienne Faure <etienne@mandrakesoft.com> 1.31b-1mdk
- Update from Gtz Waschk <waschk@linux-mandrake.com>:
	- updated %%doc section
	- updated to 1.31b

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.29-2mdk
- rebuilt for contrib
- large icon

* Sat Jun  2 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.29-1mdk
- 1.29

* Thu May 31 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.28-1mdk
- 1.28

* Fri May 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.26-1mdk
- 1.26


* Thu May 17 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.25-1mdk
- 1.25
- exclusive arch: x86

* Thu May  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.20-1mdk
- initial package


# end of file
